net.snowflake.client.core

## Class SFBaseResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet

Direct Known Subclasses:
  SFJsonResultSet

    public abstract class SFBaseResultSet
    extends Object

Base class for query result set and metadata result set

### Field Summary

Fields
`protected boolean` `isClosed`
`protected List<MetaDataOfBinds>` `metaDataOfBinds`
`protected int` `numberOfBinds`
`protected Map<String,Object>` `parameters`
`protected SFResultSetMetaData` `resultSetMetaData`
`protected long` `resultVersion`
`protected int` `row`
`protected SFSession` `session`

### Constructor Summary

Constructors
Constructor and Description
`SFBaseResultSet()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `close()`
`abstract BigDecimal` `getBigDecimal(int columnIndex)`
`abstract BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`abstract boolean` `getBoolean(int columnIndex)`
`abstract byte` `getByte(int columnIndex)`
`abstract byte[]` `getBytes(int columnIndex)`
`abstract Date` `getDate(int columnIndex)`
`abstract double` `getDouble(int columnIndex)`
`abstract float` `getFloat(int columnIndex)`
`abstract int` `getInt(int columnIndex)`
`abstract long` `getLong(int columnIndex)`
`SFResultSetMetaData` `getMetaData()`
`protected List<MetaDataOfBinds>` `getMetaDataOfBinds()`
`protected int` `getNumberOfBinds()`
`abstract Object` `getObject(int columnIndex)`
`abstract String` `getQueryId()`
`int` `getRow()`
`abstract short` `getShort(int columnIndex)`
`abstract SFStatementType` `getStatementType()`
`abstract String` `getString(int columnIndex)`
`abstract Time` `getTime(int columnIndex)`
`abstract Timestamp` `getTimestamp(int columnIndex, TimeZone tz)`
`abstract boolean` `isAfterLast()`
`boolean` `isArrayBindSupported()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`abstract boolean` `isLast()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative(int rows)`
`void` `setSession(SFSession session)`
`abstract void` `setStatementType(SFStatementType statementType)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resultSetMetaData

    protected SFResultSetMetaData resultSetMetaData

#### row

    protected int row

#### parameters

    protected Map<String,Object> parameters

#### resultVersion

    protected long resultVersion

#### numberOfBinds

    protected int numberOfBinds

#### metaDataOfBinds

    protected List<MetaDataOfBinds> metaDataOfBinds

#### session

    protected SFSession session

#### isClosed

    protected boolean isClosed

### Constructor Detail

#### SFBaseResultSet

    public SFBaseResultSet()

### Method Detail

#### isLast

    public abstract boolean isLast()

#### isAfterLast

    public abstract boolean isAfterLast()

#### getString

    public abstract String getString(int columnIndex)
                              throws SFException

Throws:
  `SFException`

#### getBoolean

    public abstract boolean getBoolean(int columnIndex)
                                throws SFException

Throws:
  `SFException`

#### getByte

    public abstract byte getByte(int columnIndex)
                          throws SFException

Throws:
  `SFException`

#### getShort

    public abstract short getShort(int columnIndex)
                            throws SFException

Throws:
  `SFException`

#### getInt

    public abstract int getInt(int columnIndex)
                        throws SFException

Throws:
  `SFException`

#### getLong

    public abstract long getLong(int columnIndex)
                          throws SFException

Throws:
  `SFException`

#### getFloat

    public abstract float getFloat(int columnIndex)
                            throws SFException

Throws:
  `SFException`

#### getDouble

    public abstract double getDouble(int columnIndex)
                              throws SFException

Throws:
  `SFException`

#### getBytes

    public abstract byte[] getBytes(int columnIndex)
                             throws SFException

Throws:
  `SFException`

#### getDate

    public abstract Date getDate(int columnIndex)
                          throws SFException

Throws:
  `SFException`

#### getTime

    public abstract Time getTime(int columnIndex)
                          throws SFException

Throws:
  `SFException`

#### getTimestamp

    public abstract Timestamp getTimestamp(int columnIndex,
                                           TimeZone tz)
                                    throws SFException

Throws:
  `SFException`

#### getObject

    public abstract Object getObject(int columnIndex)
                              throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public abstract BigDecimal getBigDecimal(int columnIndex)
                                      throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public abstract BigDecimal getBigDecimal(int columnIndex,
                                             int scale)
                                      throws SFException

Throws:
  `SFException`

#### getStatementType

    public abstract SFStatementType getStatementType()

#### setStatementType

    public abstract void setStatementType(SFStatementType statementType)
                                   throws SQLException

Throws:
  `SQLException`

#### getQueryId

    public abstract String getQueryId()

#### setSession

    public void setSession(SFSession session)

#### next

    public boolean next()
                 throws SFException,
                        SnowflakeSQLException

Throws:
  `SFException`
  `SnowflakeSQLException`

#### close

    public void close()

#### wasNull

    public boolean wasNull()

#### getMetaData

    public SFResultSetMetaData getMetaData()
                                    throws SFException

Throws:
  `SFException`

#### getRow

    public int getRow()
               throws SQLException

Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SFException

Throws:
  `SFException`

#### relative

    public boolean relative(int rows)
                     throws SFException

Throws:
  `SFException`

#### previous

    public boolean previous()
                     throws SFException

Throws:
  `SFException`

#### getNumberOfBinds

    protected int getNumberOfBinds()

#### getMetaDataOfBinds

    protected List<MetaDataOfBinds> getMetaDataOfBinds()

#### isFirst

    public boolean isFirst()

#### isBeforeFirst

    public boolean isBeforeFirst()

#### isClosed

    public boolean isClosed()

#### isArrayBindSupported

    public boolean isArrayBindSupported()